﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication5
{
     public partial class Form1 : Form
    {
        private readonly BindingList<TestRow> _testRows = new BindingList<TestRow>();

        public Form1()
        {
            InitializeComponent();
        }

         protected override void OnLoad(EventArgs e)
         {
             base.OnLoad(e);
             bindingSource1.DataSource = _testRows;
         }

        private void button1_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < 100; i++)
            {
                var testRow = new TestRow {Name = i.ToString()};
                _testRows.Add(testRow);
            }
        }
    }


    internal class TestRow
    {
        public string Name { get; set; } 
    }
}
